Namespace Frame
    ''' <summary>
    ''' Trame d'erreur pour la fonction 0x04 (4)
    ''' </summary>
    ''' <remarks></remarks>
    Public NotInheritable Class ClsFrameModbus04Err
        Inherits ClsFrameModbusErr

        ''' <summary>
        ''' Constructeur de la classe
        ''' </summary>
        ''' <param name="pframe1">Trame reçue</param>
        ''' <param name="pFrame2">Trame reçue (copie)</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal pFrame1 As Byte(), ByVal pFrame2 As Byte())
            MyBase.New(pFrame1, pFrame2)
        End Sub
        ''' <summary>
        ''' Constructeur de la classe
        ''' </summary>
        ''' <param name="pSlaveId">Numéro d'esclave</param>
        ''' <param name="pErrorId">Numéro d'erreur</param>
        ''' <remarks></remarks>
        Public Sub New(ByVal pSlaveId As Byte, ByVal pErrorId As Byte)
            MyBase.New(pSlaveId, 4, pErrorId)
        End Sub
    End Class
End Namespace